Package org.eclipse.emf.cdo.spi.server

## Class SyncingUtil

- java.lang.Object
- - org.eclipse.emf.cdo.spi.server.SyncingUtil

-     public final class SyncingUtil
      extends java.lang.Object

  Static methods that may help with classes related to repository synchronization.
  Since:
    4.1
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static InternalView` | `openViewWithLockArea​(InternalSession session, InternalLockManager lockManager, CDOBranch viewedBranch, java.lang.String lockAreaID)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### openViewWithLockArea

          public static InternalView openViewWithLockArea​(InternalSession session,
                                                          InternalLockManager lockManager,
                                                          CDOBranch viewedBranch,
                                                          java.lang.String lockAreaID)